Update Multiple Categories
curl --request PUT \
--url https://api.fabric.inc/v3/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": [
{
"id": "557f1f77bcf86cd799439015",
"name": "Color",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true,
"categoryAttributes": [
{
"id": "55184766610c0e32a86d8759",
"value": "blue"
}
],
"productAttributes": [
{
"id": "55184766610c0e32a86d8759",
"isMandatory": true
}
]
}
]
}
'import requests
url = "https://api.fabric.inc/v3/categories"
payload = { "categories": [
{
"id": "557f1f77bcf86cd799439015",
"name": "Color",
"localizedProperties": {
"en-US": { "name": "Color" },
"en-IN": { "name": "Colour" }
},
"isLocalizable": True,
"categoryAttributes": [
{
"id": "55184766610c0e32a86d8759",
"value": "blue"
}
],
"productAttributes": [
{
"id": "55184766610c0e32a86d8759",
"isMandatory": True
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
categories: [
{
id: '557f1f77bcf86cd799439015',
name: 'Color',
localizedProperties: {'en-US': {name: 'Color'}, 'en-IN': {name: 'Colour'}},
isLocalizable: true,
categoryAttributes: [{id: '55184766610c0e32a86d8759', value: 'blue'}],
productAttributes: [{id: '55184766610c0e32a86d8759', isMandatory: true}]
}
]
})
};
fetch('https://api.fabric.inc/v3/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'categories' => [
[
'id' => '557f1f77bcf86cd799439015',
'name' => 'Color',
'localizedProperties' => [
'en-US' => [
'name' => 'Color'
],
'en-IN' => [
'name' => 'Colour'
]
],
'isLocalizable' => true,
'categoryAttributes' => [
[
'id' => '55184766610c0e32a86d8759',
'value' => 'blue'
]
],
'productAttributes' => [
[
'id' => '55184766610c0e32a86d8759',
'isMandatory' => true
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/categories"
payload := strings.NewReader("{\n \"categories\": [\n {\n \"id\": \"557f1f77bcf86cd799439015\",\n \"name\": \"Color\",\n \"localizedProperties\": {\n \"en-US\": {\n \"name\": \"Color\"\n },\n \"en-IN\": {\n \"name\": \"Colour\"\n }\n },\n \"isLocalizable\": true,\n \"categoryAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"value\": \"blue\"\n }\n ],\n \"productAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"isMandatory\": true\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fabric.inc/v3/categories")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"categories\": [\n {\n \"id\": \"557f1f77bcf86cd799439015\",\n \"name\": \"Color\",\n \"localizedProperties\": {\n \"en-US\": {\n \"name\": \"Color\"\n },\n \"en-IN\": {\n \"name\": \"Colour\"\n }\n },\n \"isLocalizable\": true,\n \"categoryAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"value\": \"blue\"\n }\n ],\n \"productAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"isMandatory\": true\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"categories\": [\n {\n \"id\": \"557f1f77bcf86cd799439015\",\n \"name\": \"Color\",\n \"localizedProperties\": {\n \"en-US\": {\n \"name\": \"Color\"\n },\n \"en-IN\": {\n \"name\": \"Colour\"\n }\n },\n \"isLocalizable\": true,\n \"categoryAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"value\": \"blue\"\n }\n ],\n \"productAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"isMandatory\": true\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"success": [
{
"id": "53184766610c0e32a86d875",
"name": "Color"
}
],
"errors": [
{
"id": "53184766610c0e32a86d875",
"name": "Color",
"message": [
"Error while updating attribute: 55184766610c0e32a86d8759"
]
}
]
}
]
}{
"message": "Request was invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request"
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "The payload exceeds maximum configured size"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Update
Update Multiple Categories
With this endpoint, you can update up to 25 categories and add new child categories. You can update the name of the category as required, update the parent category, change category attributes for improved product discovery, and modify product attributes to efficient product filtering.
PUT
/
categories
Update Multiple Categories
curl --request PUT \
--url https://api.fabric.inc/v3/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": [
{
"id": "557f1f77bcf86cd799439015",
"name": "Color",
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"isLocalizable": true,
"categoryAttributes": [
{
"id": "55184766610c0e32a86d8759",
"value": "blue"
}
],
"productAttributes": [
{
"id": "55184766610c0e32a86d8759",
"isMandatory": true
}
]
}
]
}
'import requests
url = "https://api.fabric.inc/v3/categories"
payload = { "categories": [
{
"id": "557f1f77bcf86cd799439015",
"name": "Color",
"localizedProperties": {
"en-US": { "name": "Color" },
"en-IN": { "name": "Colour" }
},
"isLocalizable": True,
"categoryAttributes": [
{
"id": "55184766610c0e32a86d8759",
"value": "blue"
}
],
"productAttributes": [
{
"id": "55184766610c0e32a86d8759",
"isMandatory": True
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
categories: [
{
id: '557f1f77bcf86cd799439015',
name: 'Color',
localizedProperties: {'en-US': {name: 'Color'}, 'en-IN': {name: 'Colour'}},
isLocalizable: true,
categoryAttributes: [{id: '55184766610c0e32a86d8759', value: 'blue'}],
productAttributes: [{id: '55184766610c0e32a86d8759', isMandatory: true}]
}
]
})
};
fetch('https://api.fabric.inc/v3/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'categories' => [
[
'id' => '557f1f77bcf86cd799439015',
'name' => 'Color',
'localizedProperties' => [
'en-US' => [
'name' => 'Color'
],
'en-IN' => [
'name' => 'Colour'
]
],
'isLocalizable' => true,
'categoryAttributes' => [
[
'id' => '55184766610c0e32a86d8759',
'value' => 'blue'
]
],
'productAttributes' => [
[
'id' => '55184766610c0e32a86d8759',
'isMandatory' => true
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/categories"
payload := strings.NewReader("{\n \"categories\": [\n {\n \"id\": \"557f1f77bcf86cd799439015\",\n \"name\": \"Color\",\n \"localizedProperties\": {\n \"en-US\": {\n \"name\": \"Color\"\n },\n \"en-IN\": {\n \"name\": \"Colour\"\n }\n },\n \"isLocalizable\": true,\n \"categoryAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"value\": \"blue\"\n }\n ],\n \"productAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"isMandatory\": true\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fabric.inc/v3/categories")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"categories\": [\n {\n \"id\": \"557f1f77bcf86cd799439015\",\n \"name\": \"Color\",\n \"localizedProperties\": {\n \"en-US\": {\n \"name\": \"Color\"\n },\n \"en-IN\": {\n \"name\": \"Colour\"\n }\n },\n \"isLocalizable\": true,\n \"categoryAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"value\": \"blue\"\n }\n ],\n \"productAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"isMandatory\": true\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"categories\": [\n {\n \"id\": \"557f1f77bcf86cd799439015\",\n \"name\": \"Color\",\n \"localizedProperties\": {\n \"en-US\": {\n \"name\": \"Color\"\n },\n \"en-IN\": {\n \"name\": \"Colour\"\n }\n },\n \"isLocalizable\": true,\n \"categoryAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"value\": \"blue\"\n }\n ],\n \"productAttributes\": [\n {\n \"id\": \"55184766610c0e32a86d8759\",\n \"isMandatory\": true\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"success": [
{
"id": "53184766610c0e32a86d875",
"name": "Color"
}
],
"errors": [
{
"id": "53184766610c0e32a86d875",
"name": "Color",
"message": [
"Error while updating attribute: 55184766610c0e32a86d8759"
]
}
]
}
]
}{
"message": "Request was invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request"
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "The payload exceeds maximum configured size"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Example:
"517fa9dfd42d8b00g1o3k312"
Body
application/json
Category details to be updated
Was this page helpful?
